Add XML Pop Feed
This endpoint adds Pop Feed.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/xml/popfeed/add| Parameter | Type | Description | Requirement |
|---|---|---|---|
| PublisherId | int | Owner publisher’s ID. | required |
| Name | string | Pop Feed’s name. | optional |
| Tags | int[] | List of Tags’ IDs. | optional |
| Bidfloor | float | Minimum bid expressed in CPM. Value will be used as a bidfloor in RTB auctions. | optional |
| PublisherProfitShare | float | Percentage of a profit (bid price minus bidfloor) from DSP RTB EP’s advertiser that Pop Feed’s publisher earns. | optional |
| MaxQps | int | Maximum queries per second - Maximum number of requests to receive from the Pop Feed in one second. Set to 0 for unlimited requests. | optional |
| Tmax | int | Maximum time in milliseconds to wait for the response from DSP RTB EP’s server. | optional |
| AuctionType | int | Type of RTB auction within the platform. 1 - First Price, 2 - Second Price Plus. | optional |
| Secure | int | Indicates if the Pop Feed requires secure HTTPS URL creative assets and markup. 0 - No, 1 - Yes. | optional |
| AutoOptimize | int | Enable automatic requests optimization. 0 - Disabled, 1 - Enabled. | optional |
| SendOriginalSite | int | Send source site received from publisher instead of hiding it with platform’s site. 0 - Disabled, 1 - Enabled. | optional |
| FallbackUrl | string | URL to redirect to in the case where the user click will be prevented due to some blocking or mismatches. | optional |
| RequestsDailyLimit | int | Number of requests to receive per day. The system will even out distribution of requests throughout the day, ie. “day shaping”. Set to 0 for unlimited requests. | optional |
| BidsDailyLimit | int | Number of bids per day. The system will even out distribution of bids throughout the day, ie. “day shaping”. Set to 0 for unlimited bids. | optional |
| ImpressionsDailyLimit | int | Number of impressions per day. The system will even out distribution of impressions throughout the day, ie. “day shaping”. Set to 0 for unlimited impressions. | optional |
| ImpressionsLimitPerIp | int | Daily limit of impressions per IP address. Set to 0 for unlimited impressions per IP address. | optional |
| SpentDailyLimit | float | Maximum daily amount (USD) to spend on Pop Feed. Set to 0 for unlimited amount. | optional |
| MaxIvt | float | Filter traffic from inventory with IVT greater than this value. | optional |
| DomainsBrandsListMode | int | Block or allow publisher domains or brand names: 0 - Blacklist, 1 - Whitelist. | optional |
| DomainsBrandsList | int[] | List of Domain Lists’ IDs to block or allow. | optional |
| SubidListMode | int | Block or allow publisher subids: 0 - Blacklist, 1 - Whitelist. | optional |
| SubidList | string | List of subids to block or allow, separated by new line. | optional |
| KeywordBlacklistsType | int | Type of Keywords blacklists filtering: 0 - Exact, 1 - Phrase, 2 - Broad. | optional |
| KeywordBlacklists | int[] | Array of Keyword lists’ IDs to set to the search feed as blacklists. | optional |
| IpBlacklists | int[] | List of IP Lists’ IDs to use for IP block. | optional |
| NonEmptyReferer | int | Ad impression or click with no referer will be filtered: 1 - Enabled, 0 - Disabled. | optional |
| RefererMatch | int | Referer in ad impression or click and site URL should match: 1 - Enabled, 0 - Disabled. | optional |
| IpMatch | int | Real user’s IP address in ad impression or click and user IP parameter should match: 1 - Enabled, 0 - Disabled. | optional |
| UaMatch | int | Real user’s User Agent in ad impression or click and user agent parameter should match: 1 - Enabled, 0 - Disabled. | optional |
| AllowIpV6 | int | Allow IPv6 addresses. 1 - Enabled, 0 - Disabled. | optional |
| CheckSiteLive | int | Check if source website is live. 1 - Enabled, 0 - Disabled. | optional |
| JsCheck | int | Check invalid traffic using JavaScript when redirect to destination occurs. 1 - Enabled, 0 - Disabled. | optional |
| Countries | object[] | Array of Country objects that should be sent like in JSON example. CC values in objects must be ISO-3166-1-alpha-2 country codes. See Info -> Get countries for a list of available countries. | optional |
| Os | object[] | Array of Os objects that should be sent like in JSON example. Not all operating systems have their versions, so for them you don’t have to include Versions array in object. See Info -> Get operating systems for a list of available operating systems and their versions. | optional |
| Browsers | object[] | Array of Browser objects that should be sent like in JSON example. Not all web browsers have their versions, so for them you don’t have to include Versions array in object. See Info -> Get web browsers for a list of available web browsers and their versions. | optional |
| DeviceTypes | int[] | Array of Device Type Rev objects that should be sent like in JSON example. See ORTB Info -> ORTB Device Type Rev for a list of available device types. | optional |
| Campaigns | int[] | Array of Campaigns’ IDs to connect to the Pop Feed. This will make the Campaign Ad appear in Pop Feed response if all the targeting is matched. | optional |
| DspRtbEps | int[] | Array of DSP RTB EPs’ IDs to connect to the Pop Feed. This will make the DSP RTB EP appear in Pop Feed response if all the targeting is matched. | optional |
| DspPopFeeds | int[] | Array of XML DSP Pop Feeds’ IDs to connect to the Pop Feed. This will make the XML DSP Pop Feed appear in Pop Feed response if all the targeting is matched. | optional |
{ "PopFeed": { "PublisherId": 1, "Name": "Pop Feed 1", "Tags": [ 1 ], "Bidfloor": 0.5, "PublisherProfitShare": 90.0, "MaxQps": 0, "Tmax": 300, "AuctionType" : 2, "Secure": 1, "AutoOptimize": 1, "SendOriginalSite": 0, "FallbackUrl": "", "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "SubidListMode": 0, "SubidList": "", "KeywordBlacklistsType": 0, "KeywordBlacklists": [ 1 ], "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "Countries": [ { "CC": "US" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspPopFeeds": [ 1 ] }}Response
Section titled “Response”{ "Status": "Ok", "PopFeed": { "Id": 1, "TeamId": 1, "PublisherId": 1, "PublisherName": "Publisher", "Name": "Pop Feed 1", "Tags": [ 1 ], "Bidfloor": 0.5, "PublisherProfitShare": 90.0, "MaxQps": 0, "Tmax": 300, "AuctionType" : 2, "Secure": 1, "AutoOptimize": 1, "SendOriginalSite": 0, "FallbackUrl": "", "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "SubidListMode": 0, "SubidList": "", "KeywordBlacklistsType": 0, "KeywordBlacklists": [ 1 ], "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "Auth": "yI4de6", "AuthDirectUrl": "26efcc7e4f8dca3374c1d0971b0cf9bf03d25f4affdfc633e1fda0214b092bb", "Qps": 534, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "FeedUrls": [ { "Region": "us-east", "FeedUrlXml": "https://us-east.adelion.com/pop?feed=1&auth=yI4de6&subid={subid}&query={query}&user_ip={user_ip}&ua={ua}&url={url}&uid={uid}", "FeedUrlJson": "https://us-east.adelion.com/pop?feed=1&auth=yI4de6&subid={subid}&query={query}&user_ip={user_ip}&ua={ua}&url={url}&uid={uid}" } ], "DirectUrls": [ { "Region": "us-east", "DirectUrl": "https://us-east.adelion.com/direct?feed=1&auth=26efcc7e4f8dca3374c1d0971b0cf9bf03d25f4affdfc633e1fda0214b092bb" } ], "StatsByDate": "https://adelion.com/api/xml/stats/publisher/pop?username=publisher1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,NetImpressions,Spent", "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspPopFeeds": [ 1 ] }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Error Code | Meaning |
|---|---|
| 400 | Bad Request — You sent a body that isn’t JSON. |
| 401 | Unauthorized — Your access token is invalid. |
| 406 | Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found. |
| 500 | Internal Server Error — We had a problem with our server. Try again later. |